# Interface FileItemHeadersProvider<T extends FileItemHeadersProvider<T>>

Type Parameters:
  `T` - The FileItemHeadersProvider type.

All Known Subinterfaces:
  `FileItem<F>, FileItemInput`

All Known Implementing Classes:
  `DiskFileItem`

public interface FileItemHeadersProvider<T extends FileItemHeadersProvider<T>>
Provides access to headers.

See Also:
  - `FileItem`
  - `FileItemInput`

## Method Summary

Modifier and Type
Method
Description
`FileItemHeaders`
`getHeaders()`
Gets the collection of headers defined locally within this item.
`T`
`setHeaders(FileItemHeaders headers)`
Sets the headers read from within an item.

## Method Details

### getHeaders

FileItemHeaders getHeaders()
Gets the collection of headers defined locally within this item.

Returns:
  the `FileItemHeaders` present for this item.

### setHeaders

T setHeaders(FileItemHeaders headers)
Sets the headers read from within an item. Implementations of `FileItem` or `FileItemInput` should implement this interface to be able to get the raw headers found within the item header block.

Parameters:
  `headers` - the instance that holds onto the headers for this instance.
Returns:
  `this` instance.